package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SchedulBillFactory
{
    private SchedulBillFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.ISchedulBill getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISchedulBill)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("32CCA217") ,com.kingdee.eas.custom.gggl.ISchedulBill.class);
    }
    
    public static com.kingdee.eas.custom.gggl.ISchedulBill getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISchedulBill)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("32CCA217") ,com.kingdee.eas.custom.gggl.ISchedulBill.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.ISchedulBill getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISchedulBill)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("32CCA217"));
    }
    public static com.kingdee.eas.custom.gggl.ISchedulBill getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISchedulBill)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("32CCA217"));
    }
}